var myLatLng = new google.maps.LatLng(11.93555, 108.45105);  
	var marker;
	var map;
	var image = '../img/redmarker40.png';
	address='';
	temp = "10.76754--";
	function initialize() {
		var mapOptions = {
		  zoom: 6,
		  mapTypeId: google.maps.MapTypeId.ROADMAP,
		  center: myLatLng
		};

    	map = new google.maps.Map(document.getElementById("map_canvas"),mapOptions);
		
        document.getElementById("lat").value = myLatLng.lat().toFixed(5);
    	document.getElementById("lng").value =myLatLng.lng().toFixed(5);
		marker = new google.maps.Marker({
			  map:map,
			  draggable:true,
			  animation: google.maps.Animation.DROP,
			  position: myLatLng,
			  icon: image
		});   	
		
		//Create a infowindow
		var infowindow = new google.maps.InfoWindow({
				content: 'Move and see where you are!',
				position: myLatLng
			});
		infowindow.open(map);
		// Create a Geocoder() to get address
		geocoder = new google.maps.Geocoder();
		var newaddress;
		function getAddress(latLng) {
			
			geocoder.geocode( {'latLng': latLng},
			  function(results, status) {
				if(status == google.maps.GeocoderStatus.OK) {
				  if(results[0]) {
					document.getElementById("newaddress").value = results[0].formatted_address;
					address=results[0].formatted_address;
					temp = results[0].formatted_address;
					
					infowindow.setContent('Address: '+address);	
			infowindow.setPosition(latLng);
				  }
				  else {
					document.getElementById("newaddress").value = "No results";
					address="No results";
					infowindow.setContent('Address: '+address);	
			infowindow.setPosition(latLng);
				  }
				}
				else {
				  document.getElementById("newaddress").value = status;
				  address=status;
				  infowindow.setContent('Address: '+address);	
			infowindow.setPosition(latLng);
				}
				infowindow.open(map);
			  });
		}
		
		// Listen mouseup event
		google.maps.event.addListener(marker, 'mouseup', function(event) {   
			document.getElementById("lat").value = event.latLng.lat().toFixed(5);
			document.getElementById("lng").value =event.latLng.lng().toFixed(5);
			getAddress(event.latLng);
			map.setCenter(event.latLng);			
		});
		google.maps.event.addListener(map, 'click', function(event) {   
			document.getElementById("lat").value = event.latLng.lat().toFixed(5);
			document.getElementById("lng").value =event.latLng.lng().toFixed(5);
			getAddress(event.latLng);	
			marker.setPosition(event.latLng);
			map.setCenter(event.latLng);		
		});
		google.maps.event.addListener(map, 'zoom_changed', function() {			
			map.setCenter(marker.getPosition());			
	 	});
	//google.maps.event.addListener(marker, 'click', toggleBounce);
  }	