-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 17, 2012 at 09:30 AM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `fullhouse_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_banners`
--
CREATE TABLE IF NOT EXISTS `tbl_banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) NOT NULL,
  `link` varchar(255) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
--
-- Dumping data for table `tbl_banners`
--
--
-- Table structure for table `tbl_banusers`
--
CREATE TABLE IF NOT EXISTS `tbl_banusers` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL DEFAULT '0',
  `BanReason` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LiftBan` int(11) NOT NULL DEFAULT '0',
  `BanBy` int(11) NOT NULL DEFAULT '0',
  `BanDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;
--
-- Table structure for table `tbl_categories`
--
CREATE TABLE IF NOT EXISTS `tbl_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=11 ;
--
-- Dumping data for table `tbl_categories`
--
--
-- Table structure for table `tbl_cities`
--
CREATE TABLE IF NOT EXISTS `tbl_cities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=73 ;
--
-- Dumping data for table `tbl_cities`
--
--
-- Table structure for table `tbl_directions`
--
CREATE TABLE IF NOT EXISTS `tbl_directions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `direction` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=10 ;
--
-- Dumping data for table `tbl_directions`
--
--
-- Table structure for table `tbl_districts`
--
CREATE TABLE IF NOT EXISTS `tbl_districts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_id` int(11) NOT NULL,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=689 ;
--
-- Dumping data for table `tbl_districts`
--
--
-- Table structure for table `tbl_houses`
--
CREATE TABLE IF NOT EXISTS `tbl_houses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_id` int(11) NOT NULL,
  `district_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `need_id` int(11) NOT NULL,
  `legal_id` int(11) NOT NULL,
  `direction_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `yearbuilt` varchar(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `created` date DEFAULT NULL,
  `lotsize` float DEFAULT NULL,
  `livingsize` float DEFAULT NULL,
  `price` bigint(15) DEFAULT NULL,
  `includetax` tinyint(1) DEFAULT NULL,
  `mls` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `amentities` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `stories` int(11) DEFAULT NULL,
  `floorcoverings` int(11) DEFAULT NULL,
  `rooftype` int(11) DEFAULT NULL,
  `bathroom` int(11) DEFAULT NULL,
  `diningroom` int(11) DEFAULT NULL,
  `bedroom` int(11) DEFAULT NULL,
  `kitchen` int(11) DEFAULT NULL,
  `livingroom` int(11) DEFAULT NULL,
  `miscrooms` int(11) DEFAULT NULL,
  `heating` tinyint(1) NOT NULL,
  `cooling` tinyint(1) NOT NULL,
  `water` tinyint(1) NOT NULL,
  `sewer` tinyint(1) NOT NULL,
  `laundry` tinyint(1) NOT NULL,
  `parking` int(11) DEFAULT NULL,
  `swimmingpool` tinyint(1) DEFAULT NULL,
  `garden` tinyint(1) DEFAULT NULL,
  `yardgrounds` tinyint(1) DEFAULT NULL,
  `handicapfeatures` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `views` int(11) DEFAULT NULL,
  `contactname` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contactemail` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contactphone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contactmobile` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `latitude` varchar(11) COLLATE utf8_unicode_ci NOT NULL,
  `longitude` varchar(11) COLLATE utf8_unicode_ci NOT NULL,
  `fulladdress` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `unit` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=45 ;
--
-- Dumping data for table `tbl_houses`
--
--
-- Table structure for table `tbl_imgs`
--
CREATE TABLE IF NOT EXISTS `tbl_imgs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `house_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mainimg` tinyint(1) NOT NULL DEFAULT '0',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=104 ;
--
-- Dumping data for table `tbl_imgs`
--
--
-- Table structure for table `tbl_legals`
--
CREATE TABLE IF NOT EXISTS `tbl_legals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `legal` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=8 ;
--
-- Dumping data for table `tbl_legals`
--
--
-- Table structure for table `tbl_needs`
--
CREATE TABLE IF NOT EXISTS `tbl_needs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `need` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;
--
-- Dumping data for table `tbl_needs`
--
--
-- Table structure for table `tbl_pages`
--
CREATE TABLE IF NOT EXISTS `tbl_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `content` longtext CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `lastupdate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;
--
-- Dumping data for table `tbl_pages`
--
--
-- Table structure for table `tbl_roles`
--
CREATE TABLE IF NOT EXISTS `tbl_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;
--
-- Dumping data for table `tbl_roles`
--
--
-- Table structure for table `tbl_savedhouses`
--
CREATE TABLE IF NOT EXISTS `tbl_savedhouses` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL DEFAULT '0',
  `HouseId` int(11) NOT NULL DEFAULT '0',
  `SaveDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;
--
-- Table structure for table `tbl_savesearches`
--
CREATE TABLE IF NOT EXISTS `tbl_savesearches` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Userid` int(11) NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
--
-- Table structure for table `tbl_users`
--
CREATE TABLE IF NOT EXISTS `tbl_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_id` int(11) NOT NULL,
  `district_id` int(11) NOT NULL,
  `username` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `fullname` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `recievenewletter` tinyint(1) DEFAULT NULL,
  `address` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `introduction` text COLLATE utf8_unicode_ci,
  `credentialsmemberships` text COLLATE utf8_unicode_ci,
  `stringapprove` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created` date DEFAULT NULL,
  `active` tinyint(1) DEFAULT '0',
  `role_id` int(11) NOT NULL,
  `image` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `newpassword` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `act_pass` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=18 ;
--
-- Dumping data for table `tbl_users`
--
--
-- Table structure for table `tbl_site_settings`
--
CREATE TABLE IF NOT EXISTS `tbl_site_settings` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Variable` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsRead` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `site_settings` VALUES (1,'sitename','Sample website',0) ON DUPLICATE KEY UPDATE id=1;
INSERT INTO `site_settings` VALUES (2,'curency','$',0) ON DUPLICATE KEY UPDATE id=2;
INSERT INTO `site_settings` VALUES (3,'cfreceiveremail','admin@yourdomain.com',0) ON DUPLICATE KEY UPDATE id=3;
INSERT INTO `site_settings` VALUES (4,'cftelephone','XXX-XXX-XXXX',0) ON DUPLICATE KEY UPDATE id=4;
INSERT INTO `site_settings` VALUES (5,'cffax','XXX-XXX-XXXX',0) ON DUPLICATE KEY UPDATE id=5;
INSERT INTO `site_settings` VALUES (6,'cfaddress','Your address',0) ON DUPLICATE KEY UPDATE id=6;
INSERT INTO `site_settings` VALUES (7,'cfonline1','Contact name 1',0) ON DUPLICATE KEY UPDATE id=7;
INSERT INTO `site_settings` VALUES (8,'cfonline2','Contact name 2',0) ON DUPLICATE KEY UPDATE id=8;
INSERT INTO `site_settings` VALUES (9,'cfyahoo1','YahooID 2',0) ON DUPLICATE KEY UPDATE id=9;
INSERT INTO `site_settings` VALUES (10,'cfyahoo2','YahooID 2',0) ON DUPLICATE KEY UPDATE id=10;
INSERT INTO `site_settings` VALUES (11,'strfoot','All Rights Reserved',0) ON DUPLICATE KEY UPDATE id=11;
INSERT INTO `site_settings` VALUES (12,'static_display','20',0) ON DUPLICATE KEY UPDATE id=12;
INSERT INTO `site_settings` VALUES (13,'static_step','2',0) ON DUPLICATE KEY UPDATE id=13;
INSERT INTO `site_settings` VALUES (14,'logo','logo.gif',0) ON DUPLICATE KEY UPDATE id=14;
INSERT INTO `site_settings` VALUES (15,'Version','1.0',0) ON DUPLICATE KEY UPDATE id=15;